Package org.pushingpixels.lafwidget.tabbed

# Class TabPreviewThread.TabPreviewInfo

java.lang.Object
org.pushingpixels.lafwidget.utils.DeltaQueue.Deltable
org.pushingpixels.lafwidget.tabbed.TabPreviewThread.TabPreviewInfo

Enclosing class:
  `TabPreviewThread`

public static class TabPreviewThread.TabPreviewInfo extends DeltaQueue.Deltable
Information for previewing a tabbed pane.

## Field Summary

Fields
Modifier and Type
Field
Description
`Object`
`initiator`
Points to the preview initiator.
`TabPreviewThread.TabPreviewCallback`
`previewCallback`
Callback for passing the preview thumbnail once it is computed.
`int`
`tabIndexToPreview`
If `toPreviewAllTabs` is `false`, contains the index of the tab to be previewed.
`JTabbedPane`
`tabPane`
Tabbed pane.
`boolean`
`toPreviewAllTabs`
Indicates whether all tabs in the `tabPane` should be previewed.

### Fields inherited from class org.pushingpixels.lafwidget.utils.DeltaQueue.Deltable

`delta`

## Constructor Summary

Constructors
Constructor
Description
`TabPreviewInfo()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPreviewHeight()`
`int`
`getPreviewWidth()`
`void`
`setPreviewHeight(int previewHeight)`
`void`
`setPreviewWidth(int previewWidth)`

### Methods inherited from class org.pushingpixels.lafwidget.utils.DeltaQueue.Deltable

`decrementDelta, getDelta, incrementDelta, setDelta`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tabPane

public JTabbedPane tabPane
Tabbed pane.

### previewCallback

public TabPreviewThread.TabPreviewCallback previewCallback
Callback for passing the preview thumbnail once it is computed.

### toPreviewAllTabs

public boolean toPreviewAllTabs
Indicates whether all tabs in the `tabPane` should be previewed.

### tabIndexToPreview

public int tabIndexToPreview
If `toPreviewAllTabs` is `false`, contains the index of the tab to be previewed.

### initiator

public Object initiator
Points to the preview initiator.

## Constructor Details

### TabPreviewInfo

public TabPreviewInfo()

## Method Details

### setPreviewWidth

public void setPreviewWidth(int previewWidth)

### getPreviewWidth

public int getPreviewWidth()

### setPreviewHeight

public void setPreviewHeight(int previewHeight)

### getPreviewHeight

public int getPreviewHeight()